extends ../templates/main.pug

block content
	div#app.container
		div.row
			div.col-md-3
				h1 Topics
				a(href="#" v-on:click="togglelisten=!togglelisten") Listen to topic
				div(v-if="togglelisten")
					input#newtopic.form-control(placeholder="Topic name" v-model="new_topic")
					button.btn.btn-primary(v-on:click="subscribe()") Subscribe
				ul.list-group
					li.list-group-item(v-for="topic in topics" v-on:click="currentTopic=topic") {{ topic }}
				h1 Active topics
			div.col-md-9
				h1 Messages for: {{currentTopic}}
				input.form-control(placeholder="Enter a message to send to topic")
				button.btn.btn-primary Send message
	script(src="/js/app.js")